using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Drawing;


public partial class Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        
        RadGrid1.UpdateCommand += new GridCommandEventHandler(RadGrid1_UpdateCommand);
    }

    void RadGrid1_UpdateCommand(object source, GridCommandEventArgs e)
    {
        string OrderID = ((e.Item as GridEditFormItem)["OrderID"].Controls[0] as TextBox).Text;
        RadAjaxManager1.Alert("You edited item with ID : " + OrderID);
    }
}
